<?php

declare(strict_types=1);

namespace Seka\Terminy\Models\Udalost;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavRegistracie
 *
 * @method static self POVOLENA()
 * @method static self NEPOVOLENA()
 *
 * @package Seka\Terminy\Models\Udalost
 */
final class StavRegistracie extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'POVOLENA' => 'povoliť',
            'NEPOVOLENA' => 'nepovoliť',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'POVOLENA':
                return '#c0d1d8';
            default:
                return '#efe1e6';
        }
    }
}
